For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all listings
        • GETGet all pricing
        • GETGet a listing by ID
        • PUTUpdate Listing: Entrata - Not Supported
        • POSTCreate Listing: Entrata
        • POSTCreate Listing: Entrata - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
EntrataListings

Get all listings

GET
/v1/listings/
GET
/v1/listings/
$curl https://api.propexo.com/v1/listings/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "unitX123",
18 "x_property_id": "propertyX123",
19 "x_unit_id": "unitX123",
20 "x_floor_plan_id": "FP123",
21 "is_unit": null,
22 "available_date": "2023-07-01T00:00:00Z",
23 "application_url": null,
24 "bathrooms": "2",
25 "bathrooms_full": 2,
26 "bathrooms_half": 1.1,
27 "bedrooms": "3",
28 "building_name": "Sunset Apartments",
29 "building_number": null,
30 "city": "San Francisco",
31 "country": null,
32 "custom_data": {},
33 "deposit_amount_in_cents": 150000,
34 "floor": "2",
35 "image_urls": [
36 "https://example.com/image1.jpg",
37 "https://example.com/image2.jpg"
38 ],
39 "is_available": true,
40 "is_furnished": null,
41 "is_listed": true,
42 "is_managed_external": null,
43 "is_vacant": true,
44 "lease_term": "12 months",
45 "listing_title": null,
46 "listing_date": null,
47 "marketing_name": null,
48 "notes": null,
49 "number": "101",
50 "rent_amount_in_cents": 250000,
51 "specials": null,
52 "square_feet": 1200,
53 "state": "CA",
54 "address_1": "123 Main St",
55 "address_2": "123 Main St",
56 "property_description": null,
57 "short_description": null,
58 "unit_description": null,
59 "zip": "94103",
60 "make_ready_date": "2023-06-25T00:00:00Z",
61 "vacate_date": null,
62 "video_urls": null,
63 "status_raw": "Vacant Ready (Available)",
64 "property_id": "clwi5xiix000008l6ctdgafyh",
65 "unit_id": "unit123",
66 "floor_plan_id": "cm7xvp5vb88803888363al35e7bse4z",
67 "integration_id": "clwh5u07w000508me66sfh3um",
68 "integration_vendor": "ENTRATA",
69 "x_location_id": null,
70 "unit_type_id": null,
71 "floor_plan_code": "FP123",
72 "floor_plan_name": "Luxury 3 Bedroom",
73 "street_address_1": "string",
74 "street_address_2": "string"
75 }
76 ]
77}
Get all listings
Was this page helpful?
Previous

Get all pricing

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external listing id
location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_idstringOptional
The Propexo unique identifier for the unit
property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo integration id
integration_vendorenumOptional
The integration vendor for the listing.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error